Package org.apache.sling.feature.extension.apiregions.analyser

# Class AbstractApiRegionsAnalyserTask

java.lang.Object
org.apache.sling.feature.extension.apiregions.analyser.AbstractApiRegionsAnalyserTask

All Implemented Interfaces:
  `org.apache.sling.feature.analyser.task.AnalyserTask`

Direct Known Subclasses:
  `CheckApiRegions`, `CheckApiRegionsCrossFeatureDups`, `CheckApiRegionsDependencies`, `CheckApiRegionsDuplicates`, `CheckApiRegionsOrder`

public abstract class AbstractApiRegionsAnalyserTask extends Object implements org.apache.sling.feature.analyser.task.AnalyserTask

## Constructor Summary

Constructors
Constructor
Description
`AbstractApiRegionsAnalyserTask()`

## Method Summary

Modifier and Type
Method
Description
`final void`
`execute(org.apache.sling.feature.analyser.task.AnalyserTaskContext ctx)`
`protected abstract void`
`execute(ApiRegions apiRegions, org.apache.sling.feature.analyser.task.AnalyserTaskContext ctx)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.sling.feature.analyser.task.AnalyserTask

`getId, getName`

## Constructor Details

### AbstractApiRegionsAnalyserTask

public AbstractApiRegionsAnalyserTask()

## Method Details

### execute

public final void execute(org.apache.sling.feature.analyser.task.AnalyserTaskContext ctx) throws Exception

Specified by:
  `execute` in interface `org.apache.sling.feature.analyser.task.AnalyserTask`
Throws:
  `Exception`

### execute

protected abstract void execute(ApiRegions apiRegions, org.apache.sling.feature.analyser.task.AnalyserTaskContext ctx) throws Exception

Throws:
  `Exception`